GNU bug report logs - #51212
[PATCH] Update pipewire and add wireplumber

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Morgan.J.Smith@HIDDEN; Keywords: patch; dated Thu, 14 Oct 2021 19:22:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Changed bug title to '[PATCH] Update pipewire and add wireplumber' from '[PATCH] gnu: pipewire-0.3: Update to 0.3.38.' Request was from Morgan Smith <morgan.j.smith@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51212 <at> debbugs.gnu.org:


Received: (at 51212) by debbugs.gnu.org; 2 Nov 2021 23:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 19:26:54 2021
Received: from localhost ([127.0.0.1]:38324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mi3B8-0006w8-JR
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 19:26:54 -0400
Received: from mail-dm6nam12olkn2066.outbound.protection.outlook.com
 ([40.92.22.66]:51104 helo=NAM12-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1mi3B5-0006vY-TB
 for 51212 <at> debbugs.gnu.org; Tue, 02 Nov 2021 19:26:52 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=KPBlM7fvErTOu4qrGrtyOhVMCyHI916Ya0PU5FUGXQRa0SaDSYOfp5VIvT2sSVdMXrRVCpCOK7DFsFshf8+Fyvsv1BsHNHyk9L+0nZaCaFvOHgzfy96wxn23U3amMrxlrAbNvhJvRV4MWMZhPvI5m2qKS8CDp94w+3yF/cp7iRAzQqZEaP6jFfVoFqgwimRz4ZmZmOH2OHYSr3o+Wi0PylJmTXu9Mr8p/W3q1Oz4DjXVmgTQPCP9uqx4uwEt6IBh0LvOBAHT/FR5b1Xe5tnR29g+WMrgmfvLh8+b1i644Q+iDQlYRuP4goEVtjQGMCCSECJQGFrzWF+fHmMlzz7WEA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=F0gUFEBPm8Ir3UXm9cSNJuuYFa3RWVjh9vjOq+0nVU4=;
 b=nitXyDKBLsXWGp22exgp1euTZaeS/ySYeyJ1hXDZvkiikHrCjpxeypvIFjDRMlBAK6ZLBS3rA9R42vEcAHI8ydgvCDaJygRVwl0SjFEYKRSXFe1KA5Xf1ZgDEHKbdFOeHfpUxUmvbebaWr2aR4V3cGXknJGAjlkvpR2TzicJMQRxXfrFOw3GjfqPsTsJDp2uAUpO2edUTzvecgk9P9ITv0IIoDDjFTeIIhTKeH6sWFzFyzMjEw1kyHMB4qBfn5TK8KdvE5ntO0akCuYhzzVTgaf0Nhcxx/xmO8R/JvZwaZu3bLM6uunH1PyXKJCzw6Z4yoNwD538c2aK8YZw7nXI3Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=F0gUFEBPm8Ir3UXm9cSNJuuYFa3RWVjh9vjOq+0nVU4=;
 b=QXWpYTPioLTXGwpa8hii8dc/PmDjiLBb68GHCCPTVDk6XryFifizXI0In22jqeN9vMq4rTc285QcTuXsw7fROOA22sY3GMMCjpur5xoHtqCl9+3rYBtwvGdTa6fDJlqIWvM3St7dof/4goCZdaDSkTdAaCbXUIFXM0tF8d448i1TEuZ5Ix6OyEFpcp7BKR9HmV+ah8NC7ZU7FTA1MjPeyGM7YNYta/Hbp2D4mFSVHkM2fgBTqARt5rS+3nDMezK4fqmrW3r+PDIXUySBMp9P9HGgNShj53hgTsdE2meXYFV47yZFDdpIOoxtEA5JO3n5rxlnLeDX0JtdX87FLadECA==
Received: from BYAPR05MB4023.namprd05.prod.outlook.com (2603:10b6:a02:87::30)
 by BY3PR05MB8081.namprd05.prod.outlook.com (2603:10b6:a03:366::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4669.4; Tue, 2 Nov
 2021 23:26:45 +0000
Received: from BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154]) by BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154%6]) with mapi id 15.20.4669.010; Tue, 2 Nov 2021
 23:26:45 +0000
From: Morgan.J.Smith@HIDDEN
To: 51212 <at> debbugs.gnu.org
Subject: [PATCH v3 2/2] gnu: Add wireplumber.
Date: Tue,  2 Nov 2021 19:26:15 -0400
Message-ID: <BYAPR05MB4023B50E80EC4F8A09AE62BEC58B9@HIDDEN>
X-Mailer: git-send-email 2.33.1
In-Reply-To: <20211102232615.30887-1-Morgan.J.Smith@HIDDEN>
References: <20211102232615.30887-1-Morgan.J.Smith@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [UC15tH0tqgrgxLCYpqlMrVfLvLiNtNV0]
X-ClientProxiedBy: YQBPR01CA0017.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01::25)
 To BYAPR05MB4023.namprd05.prod.outlook.com
 (2603:10b6:a02:87::30)
X-Microsoft-Original-Message-ID: <20211102232615.30887-3-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workpad.hitronhub.home (170.52.80.188) by
 YQBPR01CA0017.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01::25) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4649.17 via Frontend Transport; Tue, 2 Nov 2021 23:26:45 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 55b63fe8-45e6-430b-cf67-08d99e583c62
X-MS-Exchange-SLBlob-MailProps: ZTmCor6bjd8BXCcPh2iG4dhUgdw5IcU/YYEtUMYEi95MuqTGmtaYcj3u5DtlTnFoh2XFUY3IaSjEAYcwokDiBXi/2sgxpn7YKlFTyvd3sD2OsKQ+po8LkpxOZOt+yVE7MiQD/M58NjsDEXCpgbInDcCFb0BQU5nW46rNMyfHP4EMEdLIeYkJxXQN2G5iEJNEdarDfTLLX/UuPInqH4MKew2KDIOzx1tou2JmcAq8Awux8wHq8aSDVjEPA85R1/uJpfBFaex1Ggztc8IhsIhSX+SnJcl9k9Bn6PmXMz/oSTysQnZxMGGHi4oIpNc1gk/RGSRdJxxRi4RRBKFNw6a4w3TNXXxkzBFavIXH0WaDxLUIu+DMyU68NLmmqPFjtxrSKvq7bBdUZhb3SImff8+JYAmD6g0MWD1UIPypxfdIXGefyVr9IzWrox60/EEauD0JvSt6aR5KJ59Ojc7mrWA0WNgHA9MXq2nXLY9Vke/9qrSBwP9NGE+8jsYgijJilHqdaoo/tkkp7b1RAS8O6LsdgYmA7zJ3IshyVVloiTQbRRZFyhlthfc1Q4FFw9NHge6IWlm6RxRURc/9gT0ctrnOMLajkeDUIe64jJCtzSpzsNnR+xxv8NlOSAbYVRbEzrNg6x51n3GbcAhGNvxujmS274y5UBUn9erBKGtlzYFgyHWbiEQCnFM07/7ZNFQxouFVFd0foTC+TgP0RQaHOmkW05EXzCwOK1eHSJtA2jtpYaA+LIOtUL0jjgRgfYJjhMqz+2Fqjjf3AwPHssOivEbaKUSPIvx4+3G4ECVYIrU4bjZ1g7+9HTJUq/BY1UZecxUh
X-MS-TrafficTypeDiagnostic: BY3PR05MB8081:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: SoPOGMTUn/OPsPN9gf5WyxSuoNYMd5x+rReH808ikc9UCGtPmLgZgMT9+9OJ78we8sd65UrZm9nT9ov276I6NHRnWpwqnWorU7kjFWFIc69ba9dhiyNksx1iuBHpvEFTxqAoQSzKnb2bHTZ6ADXp2cs5QCtB/WvcmGjPt7fzml06jzf+6nNB/Azhbljw9EuLIfYr3/fnPpARB9iGPk2u3T3MaRQDHpOI/6zXH3iARnJ4/mJmosXij3ndh1a8qK6teNYqnMC0+oCjeUJQqsS6+elxt0XvTQErSC2d8N3vx0qHfbSl//q/xqj1SHH6XIxnDSlVfZlrZydPxElgBryGm6EWKHKxuWWIJ96+G1c8x2Ja2JVuZrfwFHXaW1kb4x1sGIyscPpm7z85IaZMBiml8+L7cAGX1MZ/aRnuAgC8olihLGuZOwd3qyNmUbRpbW1kNmJrNk+Jj+PQ+u4vvCTEorUOXJwshx/58jk/y2pxFFmkTO6PvL1nmoR+4qyMxFvguJow5djVzD8aTXy+XTFltEy3Iy031Qhtfjw9XQYlGBcBvNNQnjzNbnCmAGt3LO+uFFT80zzBBRRh5i1FRBc9kA==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: 3oNibVCjjK5vd6jj9b9DFfBJQbg8K+mx5FyQLNXHvV/dxuKSHkOACyVHwV/otCOdEWhaPoztZifcoedGv7lO1gXJXWfRITj4dBsZ31h6Z7l5IGUOacwbiz+/BkFXOX8BKaXo9xdNrwIMTF/5F2Qkeyddl/S6op51YwaJW6NDuzgRNwhKyn2Ztdv/ZeExwAvUFJwomB3Wu75TA4mDtRgQZ5NbSMMsOv78kabG2Wl5mNUWui4+c6d9QMKtkw+qiJXjY1bPWFft/miHMvUEKIXYd6mkMsYoXo6axb0BuYU31z6WIgenyH0av+ohGlbUMwh/CZCcj5tiWhrI211ml1Zthw8CfLO2KHTM72nKcRDSTrICUPbfhmtexFnU73KEWTJ8AUHitQUP7EzPFtvrvCtLnzFTji5ftRkQ88cVDOIMVPoRy9pD+FaFqFg8NBvCbgqh12Lmk7yRciRX46sgzxs5lI/087YRb/a7LH0RRlEXsspJueovBM1xYwFiHB8QzAvt/ViAmpCyg2qKUL1lmSZqOGm+PYFdvvhvGZ1JzXWz5HSUsaRn+x9JhGTymW6uneMfxGmJ8RvYSXoFu06tCG3EaQ9FroikLtpkdaTh70+EKqn0TJhtU1dqtt5+6KwFRIs1x8LNUYpyEdmDC5fW0NFY2AIQ3/JJUn7wVoDeGxOwJP3lu8JhNjUEqbzNQIiLjf5cM0Ozw3veAcmj5USH0ywtNw==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 55b63fe8-45e6-430b-cf67-08d99e583c62
X-MS-Exchange-CrossTenant-AuthSource: BYAPR05MB4023.namprd05.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 02 Nov 2021 23:26:45.8923 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY3PR05MB8081
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51212
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* gnu/packages/linux.scm (wireplumber): New variable.
---
 gnu/packages/linux.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 48cfc70bc7..beac03eb72 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -132,6 +132,7 @@ (define-module (gnu packages linux)
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages serialization)
   #:use-module (gnu packages slang)
+  #:use-module (gnu packages sphinx)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages tls)
@@ -8074,6 +8075,38 @@ (define-public pipewire-0.3
                ("vulkan-loader" ,vulkan-loader)
                ("vulkan-headers" ,vulkan-headers))))))
 
+(define-public wireplumber
+  (package
+    (name "wireplumber")
+    (version "0.4.4")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://gitlab.freedesktop.org/pipewire/wireplumber")
+                    (commit version)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0vr84xlnwlhrfq9l13rxh8cb8s389wlyafvi6bah444acmpx1lwv"))))
+    (build-system meson-build-system)
+    (arguments
+     `(#:meson ,meson-next ;; Needs at least 0.56.0
+       #:configure-flags (list "-Dsystem-lua=true")))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("glib-bin" ,glib "bin")))
+    (inputs
+     `(("dbus" ,dbus)
+       ("glib" ,glib)
+       ("lua" ,lua)
+       ("pipewire" ,pipewire-0.3)))
+    (home-page "https://pipewire.org/")
+    (synopsis "Modular session and policy manager for PipeWire")
+    (description "WirePlumber is a daemon that links streams from applications to their
+appropriate device.  For example WirePlumber could link an audio stream to a
+speaker.")
+    (license license:expat)))
+
 (define-public ell
   (package
     (name "ell")
-- 
2.33.1





Information forwarded to guix-patches@HIDDEN:
bug#51212; Package guix-patches. Full text available.

Message received at 51212 <at> debbugs.gnu.org:


Received: (at 51212) by debbugs.gnu.org; 2 Nov 2021 23:26:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 19:26:53 2021
Received: from localhost ([127.0.0.1]:38322 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mi3B7-0006w0-9y
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 19:26:53 -0400
Received: from mail-dm6nam12olkn2066.outbound.protection.outlook.com
 ([40.92.22.66]:51104 helo=NAM12-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1mi3B5-0006vY-4H
 for 51212 <at> debbugs.gnu.org; Tue, 02 Nov 2021 19:26:51 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=cSeml+Tt4a7C0v4D+IhB6BA32rWZ0Pv01/RNSTDUQEvH234HhFVCr1fqE1hyj4ZVzusWbs5q7QRGJWn+Sh2dYWiEUX4ZZBoH8/EAEzJHr6He6Q+YjySiXLe8Lu7Q0BkwT1ID6DtGulRsrppHzKACK0OMkwmSZQTVfi2jx7YHxGry6DLK6PRYFgbl7/zjly973VZ4/ERoeRuO2kijCfdQqnbZ/axpDsLKZPf2lKCxs+YdY0iQmKx2HZ1f1hNHH/briMJxqibqZYbwqNHXLP/XpQbYAAYqNn2pGmT+BvuhdOP3+K1sbCzzIynsMCSUiPs3iyPqHA8sS6WO8gmIMnbfpQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=V42GTsf29FYmL3WqHaeBeuk//+XhVstQnPP3Ye8vr1Q=;
 b=SNJuam7OqxxshM+/3rgv7YNl7j7pjnJPvXwt9EFwikn5umOXKFtZoiAd1YEXKCW9wDc7YE2OYXeUQt8R4Bgd3j27Ei2al6KldtUbDDwr21A/3xRZNqHh0AJP0HeMWqmdF6jFxhgDVtFZ+M9GeP1ULsv1KA2/hjUAmBMYHILRGTqT6mX455o+dcDCDtw2BFiIlLZ4bkZnxZP/47BCWSMB0oCC9iz6cC4AJeKX5jKUfWlrFs2taGYqZvkbroXWQ8oXIVlB6IIBBeel0mdcwUEkkCj06xwEUL5XnHNnpIVxIAnkOzz3j1xVJXSmDiG2UOt6Gn7AnV3X4zrj8pg4j+CGag==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=V42GTsf29FYmL3WqHaeBeuk//+XhVstQnPP3Ye8vr1Q=;
 b=LpKjAcdjJ0oN2tSnmZTfDUdGkqdTVsK81H2ZBDmRylDko885LZeAPgvMdOTms/cUuUfdVYNYyWDax0WIj48HE6Jl2HDrHqYH6Erz40YpEQfXWcVelmNnb610c0/mMiVb7bB8MPOqhoZXcNVd2M3mNnS6p7YwtkT5X/5fKtigsNOlslHt4MV1em8af84qyFe1ku7NT4XUZ4ot5uS90GLInDKKZU0C/YcHuN1rkuyUb+6IFLbZHedzO+5tKyJY/bKG0nto8LzBW5Dfkz+TZIoCDlZe5AeXvtAZxqUkftAZ/vldmb3ydg+i/pKZ0FzpX0eP/qnUXYjGKL1QPFnpHxTmyA==
Received: from BYAPR05MB4023.namprd05.prod.outlook.com (2603:10b6:a02:87::30)
 by BY3PR05MB8081.namprd05.prod.outlook.com (2603:10b6:a03:366::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4669.4; Tue, 2 Nov
 2021 23:26:45 +0000
Received: from BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154]) by BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154%6]) with mapi id 15.20.4669.010; Tue, 2 Nov 2021
 23:26:45 +0000
From: Morgan.J.Smith@HIDDEN
To: 51212 <at> debbugs.gnu.org
Subject: [PATCH v3 1/2] gnu: pipewire-0.3: Update to 0.3.39.
Date: Tue,  2 Nov 2021 19:26:14 -0400
Message-ID: <BYAPR05MB4023AC07E886D2B25227904CC58B9@HIDDEN>
X-Mailer: git-send-email 2.33.1
In-Reply-To: <20211102232615.30887-1-Morgan.J.Smith@HIDDEN>
References: <20211102232615.30887-1-Morgan.J.Smith@HIDDEN>
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [CpNUeSp3p6lOBMhF9A2JJ+Rhocbv3ys3]
X-ClientProxiedBy: YQBPR01CA0017.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01::25)
 To BYAPR05MB4023.namprd05.prod.outlook.com
 (2603:10b6:a02:87::30)
X-Microsoft-Original-Message-ID: <20211102232615.30887-2-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workpad.hitronhub.home (170.52.80.188) by
 YQBPR01CA0017.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01::25) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4649.17 via Frontend Transport; Tue, 2 Nov 2021 23:26:44 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 01238ff5-b108-4022-fdc4-08d99e583bc2
X-MS-Exchange-SLBlob-MailProps: gjx25WM8ZNVFaN/cYIaj0cYm1lc159Yjorz+ZgmEQBCvzjtjIGy+oMOIDX8TijQS2I4wlhSiB9d9zs4i8TIH7YaSHBq554/6Czx/bgoSi2kYBKTtrBwyGzvKuKzVVfZlc1JS8KwVqmHjYrrcJN0OScwRA0BK3Utr3ZRglHVGLbYVmAkNl7UaNAl70aOKuYhvG78ObuHEyNUaQeya8lPo+svFULi/6+YgC45/Y/3xxJfuxthY1y3S1TiVHYY0sAHT6ASVP9Gs8U92T24mzKTZU47P3Yuc7qRByyNGiVUr872Mt7JC00yQBpXjz607Cy7wdxDqO4lfP0dwCALX+dvi+ZI7uBQn6uM+iSV0Dh2/vz/sORfiJedUcVg5heJN35s251OUTMw5uSyGeMeNz/SmpedFbXOocv/k0BK5rfSkrOxI82Ux2aQOMLXeHK7RakLxzWs5yGnFl91k6Cp5W86deGHwwwpyWnk1XwZox7t7iZx1zcx1dr39QV5M4Fr7bJVM9Jnp/1YFluyg5bZDH5ap/emgwavCU19Y/jKPDODPa+dv+2aW6AMGa6bG7JUcEu9cV/OIOFUFTbZxaqNlJPUorPZq11cq7zFyCydqVI3FSHwVsI/i2hwlPtx/hZ/HYzOkCNb/EjH3RW0YEj+cItg5kIzNfr5l3u1LqfjI0jTBFQsrWAEhhm392y4v7iurB7bt1NtQp7bulZa5L4CZxEcrMFIrTOjCwYr7LB3aMGMNDrA=
X-MS-TrafficTypeDiagnostic: BY3PR05MB8081:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: N+Yn5zoFeqLGwsV8+NSeOVyg1jYK4JAxEDfCN7sTQaxOpdovWKu0BMDljxM0fGSv9lYmbDZQgBWWWzIb0M9n4af8ncdc+2UNnD1geQX7Ftsn6ZgyUb58w7398bJxOUTBKM/Hej3V9XACEIjx4fwVOc6y17k72SCoL+4B1WbDbnQKp52nsIYswV+L1EsrkTXG96mlWdcw6LF1zlfxZdMiz0ctQofLrf9iT78oE2ONZ2FHiaU8cM+mQOMGUbMQsGWAdriDrx5pnxGhMytv7WD24EGr/8xnO8Lfhgyp08SmZJiDzlFcH3Bexgdc/e0hbdDiQCe+JsUplmRT0nMngWZHYqfkxhY56j8UfQ7uf0fmYhXYFSl7E8AiPJkjowVIEI0m5dRO1eJO5mDD8RmcFcZ4eo/mbqgDJo/4HiCdhX5xHB7XRBjutzAVVS6Zzyz3Xb19CWFvHKfb2BBT0MZLHeS+v6Ev6HyRXErET3S8aGjq2Ih45h9VuBo/LC2U5yhIKi+uH5kZ8uJZYf0++k9jgKbXZczQyRaag3Eq75vus69koDu9pU/qjXa6zCLzlhZwyu/jS+B+PXk3SPBKtPp2pk3ngQ==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: 8Fb7IiEHfJ2XgpsQzPlfGHm3pdib3Thsyanv3JLkScL6quomriOX0l6zI+yNuC32MGWD4W8+FZwsrZON/qKwdvrrOdChkbKTQeH0jr0PdrRkCsfOl3DQR5LVACa9VL1poUPHWyPNGtHS/tQbsXndJyYYuNr4MoCW4x8P1C2SJY+P1cqir/jZC1NYdlSC6VxkmFLNLbUbIoHw47tmTl4jqyP4T0Lrlx6gFlYqg2LAieNgkCP3wAipdNzxI882XYd+ws8hUddc2pfln7R9e3KcbtAuJf0a7hQM4xp7phPsvzKIU/kFiWGL/EuEesWW4FlR6i2nL84M+NqpamlJ6jGnEn8hsf/TgJG3C9d39qTYvZ3kAlwmwr7P2FhKTMZM2cp6jcRbJ8wo8pxHJ028VbJZdecAkJ9QldEf46ktv0w/F4Tpj7cxLEq74CMz4M6MpLjUW+kHXrD7EcaPO2e9wGY8QkNZ88IRzlZj09YDmZsctkP7C1th1zhQksL6iU/t5qvApWvfdJ/ozO/kY5CuDf8+Fb7HrF4pKLCxpuaUfM1dp0beqwOi5HKf0cNUFnzACuv6hXdv8fV0S8oj/RSKgAbWIM0Prx6ydLR1118N3PLh57lER0B+VBWdmvKIQCoE+RjIWszVV7PXjM8hUaV3I/iOvorfCKFouWvhqfWc965elOXl0lDgi5q7mU2zgbMDmkyaWoyR+/6sHxYvPBNdVii7mQ==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 01238ff5-b108-4022-fdc4-08d99e583bc2
X-MS-Exchange-CrossTenant-AuthSource: BYAPR05MB4023.namprd05.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 02 Nov 2021 23:26:45.0089 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY3PR05MB8081
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51212
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* gnu/packages/linux.scm (pipewire-0.3): Update to 0.3.39.
[origin]: Use official gitlab source instead of github mirror.
[arguments]: Use meson-0.55.  Don't build any session-managers.
[phases] Don't delete shrink-runpath.
[native-inputs] Add pkg-config and python-docutils to enable documentation generation.
---
 gnu/packages/linux.scm | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index f4c1867c5d..48cfc70bc7 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -81,6 +81,7 @@ (define-module (gnu packages linux)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
+  #:use-module (gnu packages build-tools)
   #:use-module (gnu packages calendar)
   #:use-module (gnu packages check)
   #:use-module (gnu packages cpio)
@@ -8047,25 +8048,24 @@ (define-public pipewire-0.3
   (package
     (inherit pipewire)
     (name "pipewire")
-    (version "0.3.29")
+    (version "0.3.39")
     (source (origin
               (method git-fetch)
               (uri (git-reference
-                    (url "https://github.com/PipeWire/pipewire")
+                    (url "https://gitlab.freedesktop.org/pipewire/pipewire/")
                     (commit version)))
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "16jjxcnahxqfcawz77ywx837ybhwzcivn7hgqb9cmlp1y2syy8gk"))))
+                "0crfhyaqac42lam5fylivi3l2vi5wwxg1vxssrh1chvfwgbx5r55"))))
     (arguments
-     '(#:configure-flags
-       (list (string-append "-Dudevrulesdir=" (assoc-ref %outputs "out")
-                            "/lib/udev/rules.d")
-             "-Dsystemd=disabled")
-       #:phases
-       (modify-phases %standard-phases
-         ;; Skip shrink-runpath, otherwise validate-runpath fails.
-         (delete 'shrink-runpath))))
+     `(#:meson ,meson-0.55
+       #:configure-flags
+       (list
+        "-Dsession-managers="
+        (string-append "-Dudevrulesdir=" (assoc-ref %outputs "out")
+                       "/lib/udev/rules.d")
+        "-Dsystemd=disabled")))
     (inputs
      (append (package-inputs pipewire)
              `(("bluez" ,bluez)
-- 
2.33.1





Information forwarded to guix-patches@HIDDEN:
bug#51212; Package guix-patches. Full text available.

Message received at 51212 <at> debbugs.gnu.org:


Received: (at 51212) by debbugs.gnu.org; 2 Nov 2021 23:26:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 19:26:46 2021
Received: from localhost ([127.0.0.1]:38316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mi3B0-0006vZ-3x
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 19:26:46 -0400
Received: from mail-dm6nam12olkn2088.outbound.protection.outlook.com
 ([40.92.22.88]:9280 helo=NAM12-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1mi3Ax-0006vK-Sj
 for 51212 <at> debbugs.gnu.org; Tue, 02 Nov 2021 19:26:44 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=iHkp41BRNy5ulPGHdYSsxSZBAvWMlb69yBmUQTxGXjVj6s8kYpEbdZdNvCtLR/6xBofAT7kTsHO3+c3YwIvLNJEzP6ZZP2hRP6Jaaubyc/wdEB08GAUraoK0X29WHb7LgVkhuAjfV5ZMoaRhxAW+kdIGvdEtEUBzUD1F8peALcpldH8yE2Yd2RhXTGy/dMpb1RU15xgXl7K+YS4Ch+IK0Z22DaSTO1TxVaYVF5CQwvnBrMKE38CiFCj2+e7SnfJ7f6i+4nbMzH4OKtTUavGTAnYTdlpdu0pZz7W1mokPWR64RIp6MMRA4MRPCqIBJmpNIkFBsMPB5aWtrinFx25DaQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=o0m9gqkTdbZcJCIto4mSV2erzEdkrAJJZ0+vAwwS70A=;
 b=BTxA8HJY1F6DR18525qwD9rLqHE0fP58RQmZbKa4DbOoVbx/aNNQmDSQgcdRoiMERtGfxaxBIcuP0Nbmr/jKNp9mcgw0+nEGXISMbibM5cqrFw9W2QeILTLGhTwfi1TSfLcc/MJriMHZt5MUvn4DGnEfGEhX4GK/xjUpmDtZZuN2Bvs8sGZZ69kKPDFKh7eMQY1tdcJrsD+iAM2B+o0X9ubXSHcVC1Bg74P1Iu61/BPWqfRny9KR4HrIswo9KSrpnOjoTnMxN6x4+P0wTOA4GaXYsieCoFwNc1CNGEWURqyfqu3UZfCsdapdYp5zlYzLjuBnD+Vmddi91/zkNYG+1A==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=o0m9gqkTdbZcJCIto4mSV2erzEdkrAJJZ0+vAwwS70A=;
 b=d4GxWZKabp/tGkP/A5yJzfKmrxUr2NKve/U6iHSG/yQLHc3RJkoGSCeKe5wRshW9htROj31p9YENf0FLw5nWPSW7Yv57RU5Pbaayw7K7phY8ZUAJlDMnJE5lMmWi0gWUADuGHkDga0Wv7xgWWh39JmjCHM3rETV5cuQpPcA3a7QWF4oQjBSVLBXtABQ87pVgMhZmOBlsktPut5Qv3Cs8+fgDr2bxTExM5N/WhYxdKGDCt3TWONzD5+OiaPxVtpKRjEHNhUq3g178JZPTr8Dz3YrHRcXnwb/hN/c64pDs2S+TjjPgXu0K2rsaFF3YAbwWekhAyXJ6gykdCC2fR+jNsw==
Received: from BYAPR05MB4023.namprd05.prod.outlook.com (2603:10b6:a02:87::30)
 by BY3PR05MB8081.namprd05.prod.outlook.com (2603:10b6:a03:366::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4669.4; Tue, 2 Nov
 2021 23:26:37 +0000
Received: from BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154]) by BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154%6]) with mapi id 15.20.4669.010; Tue, 2 Nov 2021
 23:26:37 +0000
From: Morgan.J.Smith@HIDDEN
To: 51212 <at> debbugs.gnu.org
Subject: Update pipewire and add wireplumber
Date: Tue,  2 Nov 2021 19:26:13 -0400
Message-ID: <BYAPR05MB40237CDF99CB885D9A1C5EE0C58B9@HIDDEN>
X-Mailer: git-send-email 2.33.1
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [eCtQscXeVNAx5Nwdn+hwrm/nDKQL4oBc]
X-ClientProxiedBy: YQBPR01CA0017.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01::25)
 To BYAPR05MB4023.namprd05.prod.outlook.com
 (2603:10b6:a02:87::30)
X-Microsoft-Original-Message-ID: <20211102232615.30887-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workpad.hitronhub.home (170.52.80.188) by
 YQBPR01CA0017.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01::25) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4649.17 via Frontend Transport; Tue, 2 Nov 2021 23:26:36 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 0b44c1db-97dd-4afb-5776-08d99e5836f2
X-MS-TrafficTypeDiagnostic: BY3PR05MB8081:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 2eY+I5ath3PqSy63LYgCWTmYG/q+0fzd+Ds9hjz5F/pis67pG8pscjHj3d1WPTQbdvLdq/LA321nXX3i4IvimYyxZekwlEIIfWvMneBs1G2YDvXxh1uQW7fs/trxzY/zgEl9ZTKiXWc7/9nAu0j8hGDXTfGG024/MGWfUQlI482HFpbbkJNKE9oBIC0ACRF18+nhdNmwefJzRReQJke8zeCbaF3QEfo7OWzWIGGPfUV252YYjMMvczBqk4ZEieOD9p08e8RfkCNRda7dhzbDrxayJ8vSQ8og4bMA1NTyVSaMAbBx47XIwJsmOvuzcOzHfojcS8YNBwIkNYf4+Idvz+9MXeEo8NvY4wyDshWAba9ebl7ljI9BS54PzZ8scxNAM+Jgl3e9Bj49oD36hUAOYs5w+sbUaMDIuvR51EsmS/3CoiYE06E6oI6iTRcb8j/j1kWXxE5oz1J1paqkY54n8jQIr4gC+xhf3N7PeVNVn2B6Yb65oAlaM1JLtmEyTzzRjHQpsDrn9APSOBWtRntXdrWfNpynKbLR6cYYwqUxMoo=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: RIAp45iL387LMn4mcOYl8tUMGNx8eCVITOuS2XxzgZB8p8Hog+4rL1cgteImE/ELHZiOwjklDYf1kFGnHE/2homrI6YjdXh2Iv0W8oNfdqWQFenmfw9rbEiDYOSWoN+67gTMiysliuz4ipP+THilXBhsOQgcc16AFoFhRoZZ7GmQ5RNXbgnhD8KR9CV5mEjlIO5lAEh2iextHGvsUYTsoidoLhUb+xxJ1LNjxmsVpUSHyNZ1GRYU2GzjRExdm1a+8TZFJ6lLLAYsz87zVc+J/0daSieUpY8aLW28R5cXJi2XeHAfL71YVYBCF7pPovcp2D5wqnS7HqketNyXJnDisTmG+GQnH1hv2v9O04fnfgJOdOJfr27f5heylx+rpFaX2VcvOA7Vo2iTDXYVaQJRNb2gIdHv7gEBTUIazj28q9PEs3oIqUSVidjIEsmtU0QwhbRsYj9McaaYTmm7h6v0GIefnwPnBAHWSvQxbLDIXeJerXmERK+k2LG8Gx7fnZv3Wt0Bvt6ESvyaigS+gio+gxBm7qicBnwR4XVsg39IqEYt/6eBw12TgFpcXNsWQCxWa5JYaJAYygDQnVPhrQgxRTEBitGpN9VNl699Ga1r90e6vhj3deX0qrCuJ6oYF/m/8SqOtCqxUN8qVaT3NS7ERLPOAlJX2WfzwbshYuOMQvfYYJBSu8IpSVsYRYIWUNMEgT++w2BevLjwBayrbZ+EtQ==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 0b44c1db-97dd-4afb-5776-08d99e5836f2
X-MS-Exchange-CrossTenant-AuthSource: BYAPR05MB4023.namprd05.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 02 Nov 2021 23:26:36.9336 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY3PR05MB8081
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51212
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


The latest and greatest pipewire stopped bundling session managers into the repo so now we gotta build a session manager separately.




Information forwarded to guix-patches@HIDDEN:
bug#51212; Package guix-patches. Full text available.

Message received at 51212 <at> debbugs.gnu.org:


Received: (at 51212) by debbugs.gnu.org; 24 Oct 2021 01:28:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 23 21:28:24 2021
Received: from localhost ([127.0.0.1]:37608 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1meSJD-00021D-58
	for submit <at> debbugs.gnu.org; Sat, 23 Oct 2021 21:28:24 -0400
Received: from mail-mw2nam12olkn2032.outbound.protection.outlook.com
 ([40.92.23.32]:2080 helo=NAM12-MW2-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <morgan.j.smith@HIDDEN>) id 1meSIw-00020T-TK
 for 51212 <at> debbugs.gnu.org; Sat, 23 Oct 2021 21:28:22 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=PP26adNHRzVXqIIBNpxOQSDcgI2Q2/c8SFzpTXuWaIM6POxFnW2q/Dwrgwq7jPTfOHC2xE8RHhsS5DglbY4MvWB3itNAEI/5g7XHKWPNgkl+ZwvanL/SOlN0YJGvpWGMDU6zaQwqSbnJx0M2TFtEaK/PKen60nNF4IIrmY/uWgS9ZKTgeQShZVhO/GQnULbztK9kX3RS5uAC3gzU+xbQTXK4ukdKMlTyoMmG5VPu1OQ5vvNJolR7howlUTIK9pW7aj9J+6PxnqfYhfOswgtuwFuLNHA6VGUh157oWCsJ/NYP63kqNsjcPRdMNKlQIIP7z35X1iPs95WWGZ+spoB3RQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=hSKDWdACRjjs4jgCUHaRB5DTb4C4ZC0uFK2mIS6Jq0U=;
 b=KYY8qnmlCsDA/DSwdLYZiaB1xhVveVgSJO1HVdweD+pQ9roV1U03wMtwRjnG8+e01Qv27kkPWssh4gB/Dlml80GWth083P8tHCmHSVMTerg3N4RvGtTIqNWckPf5A3LQSiDRUr06OKOXSHAjI9acOA1H3i49s94jUEqQlg1KSEqgqfpKExVh5TNXCiWpg55HDxIBq1B2q719h1oT7SvpVaBbQMo027Z8hCQZSPeUP/Bq0nGkv1aqYjnHqIGY4wkqavxNBUYkhKSRJm6miCkTWayHoXszooVLcQJi1ToRdjGW18ho+uIkit3QWXmyiCEfcsWmzyZZ+GsWyQTOye2sGA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=hSKDWdACRjjs4jgCUHaRB5DTb4C4ZC0uFK2mIS6Jq0U=;
 b=DRbWRw+C8s7Tb3V30NQosK25f9Tu2lfAhCThN4YKww3XBm1b6SE777/U0ZF30K2ViJOY/9wcTUxsHqZfrVfiiDWPI6ZIyba/jj0CoGtu5jfOmJ8mtVVd3HTPU5GU5M0oZ84gk6ahdsq7bbZ0WWHkcUYQot9SEezdwK9Y57u8WtptEUzU8eb1EVqHhzIbK10K8xXcfLraVUkyk1uGtspco5X1p/ZMRBpK2edmJ9wdRFNe7qW6F6DdxrzKf9h9wK5T/cvOWKq8sRq9zjtRT8rrg7AxMdBCi8Jb84SWWRJ2ZKZfVOfFrQfp40sRZFp8V+M+NutqgWWhHTO5uLpAAZYLeA==
Received: from BYAPR05MB4023.namprd05.prod.outlook.com (2603:10b6:a02:87::30)
 by SJ0PR05MB8246.namprd05.prod.outlook.com (2603:10b6:a03:397::19)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4628.13; Sun, 24 Oct
 2021 01:28:00 +0000
Received: from BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154]) by BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154%6]) with mapi id 15.20.4628.018; Sun, 24 Oct 2021
 01:28:00 +0000
From: Morgan Smith <morgan.j.smith@HIDDEN>
To: 51212 <at> debbugs.gnu.org
Subject: Re: bug#51212: [PATCH] gnu: pipewire-0.3: Update to 0.3.38.
References: <BYAPR05MB4023B67DB85B0F7C6D079310C5B89@HIDDEN>
 <BYAPR05MB4023A6DC2CDDDB31768E34CAC5B89@HIDDEN>
Date: Sat, 23 Oct 2021 21:27:57 -0400
In-Reply-To: <BYAPR05MB4023A6DC2CDDDB31768E34CAC5B89@HIDDEN>
 (Morgan J. Smith's message of "Thu, 14 Oct 2021 15:23:40 -0400")
Message-ID: <BYAPR05MB4023D1D51695A973E49923C1C5829@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
Content-Type: text/plain
X-TMN: [pEdXc2mqgNtI22TPa298166ivQh3l64A]
X-ClientProxiedBy: YQBPR01CA0009.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01::17)
 To BYAPR05MB4023.namprd05.prod.outlook.com
 (2603:10b6:a02:87::30)
X-Microsoft-Original-Message-ID: <87bl3f9ppe.fsf_-_@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workpad (170.52.80.188) by
 YQBPR01CA0009.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01::17) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4628.18 via Frontend Transport; Sun, 24 Oct 2021 01:27:59 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: bb55765d-69a5-4161-e60e-08d9968d8413
X-MS-TrafficTypeDiagnostic: SJ0PR05MB8246:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: BNg8KAKxsrJPn97LW6qGL4z/dCStcQgKLHwuB2gWwLUeBriXl0sQ0fAjxQ0AplnNpUGyh8D9CBpqSR6yXLoCNPTTFdRoFHvFFptDbOKpPJJcQ6nFmM5RJtXYA/U6TwKE4cfX6nqIWF1jdq0F9Lq2TDzgyVpRhZF+8EyrEhmxSD+C4eeaqtIrQTBoVv303C4d67JicOJ9pMq5ioFQSCm8pH6ps0i5zoeAc33M7G11+Ngz3y2y5twIChXCWcL5IoHzvOSGJkhMFEIGf2Ylix187+PJc/T9IEbRvKvdLwm4VeSsQEgFv+hlPdvPZoYUNP/tP1WGuWvWQhW3mXIICCT49S2sCcsrUNJYl8KR9tl2l3gTJRRCaecPCGk0ooOnoy9DlVz2uFUL5UL/K5DUz+XV4EPn8Ukx/CDRzSWVaHtffGDzeJeCOd/AnzjppH3ujgWXpsg+PsmKRYrUY0A0SU5DO7ynBxBU1+OVCtVLuSKyczUNZa9RrQ+QXAHf34exrApK+GEhNCMqpJwjaSMedVN/iRlrwv/aJEbZru4EoZTiOzg=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: zQJHPkYEY7umuGR53csYDQ+YPNTChsnGC3KN1Efk2WtPlAho8ggsnU1fLaR3UPqRGBuDOvLflWJWG7FOPhuhejOWw8Eyl+a3nfycA688viK8kldcz0snIxKYBpAp+2hkK54DV9rR1VpsY+x1+CrGlS45ql0laZTJH3/I7IUZvOu/H6sBNN1L0h1w6Mg4Xy9sZ4cUKsjnc3cs6Ni5I7gTozUMK12lXIAaTomhj8HYShiZPaSkzQ9oxMkakik7eSoGUhZKA8wMO2DzKegJc7joza5xFbhcVNDtv8zuMV53k9GO1owkkv8Yq3/JSuhTAB++bunbEKAQYBHrT8oVTx0t1afSL8rLNKRh2eVF//maTAybqfUq0emOuN3mt52HT4haOy1iY/wd8p/gSgTh8XGaxM4UsO7z6lMmrThwN56Ve7rRpVFW3Fucx5REd/7fCc4t8jdMgNrfurQ61Gq1KY/R5qxTrXt4wL/XKbu45Cp2ooOQc3XFCAZJGyWi9jcOpZwNTl32uPSrvqq7PkmlxXv66o3cnquqcN6npq43YJ/NXD2GpwuHq6ULiGUSbSLJ0IbRd1M/NI3h54thPfcglldVPLPREx306Rkat4dfPB69+Jq/d73yT3XkCp5TK0bJP5vLhJz2QWHen6hNU5unBjNhi4dwREUayxeCVBLaDWkrbw+eSnKbtjnfDXKmJks0h/7GdAODMx1xgteE8LFIs107rQ==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: bb55765d-69a5-4161-e60e-08d9968d8413
X-MS-Exchange-CrossTenant-AuthSource: BYAPR05MB4023.namprd05.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 24 Oct 2021 01:28:00.2276 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR05MB8246
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: I just wanted to let you guys know that I've been using this
 package of pipewire since I posted this patch with no issues. So it's probably
 pretty good. Although they already released 0.3.39 so this p [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (morgan.j.smith[at]outlook.com)
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 MSGID_FROM_MTA_HEADER  Message-Id was added by a relay
 1.3 FORGED_SPF_HELO        No description available.
 0.4 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 51212
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I just wanted to let you guys know that I've been using this package of
pipewire since I posted this patch with no issues. So it's probably
pretty good. Although they already released 0.3.39 so this patch is
already out of date :P





Information forwarded to guix-patches@HIDDEN:
bug#51212; Package guix-patches. Full text available.

Message received at 51212 <at> debbugs.gnu.org:


Received: (at 51212) by debbugs.gnu.org; 14 Oct 2021 19:24:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 15:24:31 2021
Received: from localhost ([127.0.0.1]:37145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb6L9-0001KG-FP
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 15:24:31 -0400
Received: from mail-bn7nam10olkn2023.outbound.protection.outlook.com
 ([40.92.40.23]:41235 helo=NAM10-BN7-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1mb6L7-0001K1-81
 for 51212 <at> debbugs.gnu.org; Thu, 14 Oct 2021 15:24:30 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=MaaocxdP6APIBYH5snQqutJPwVbpi8c6nuezJSeNAUX06drxOwTdWCEX8+g6pOQSx1vDPtGX/XDLK7gAHT1ygCCaBEZDso1UqesNBE2DCG3ndHz6lAFbMJpoiJdWOMK7qPLpFMv38xHLzoIz7R06wKlFLNg7Jq3QdZbqL+DVA36GHpZQd/VKl/oqFrEl/jJS9L69ZQhKVOC9ODN22e/su+/i9uDH1C1aQstA5FO1En3We7rmbvw7rzNdPwkSsEYfrFIIbdoHLzWUqHC+HBbkTeS85YwQNH/0J5Oyz2PH7/4rG/mCBn8O1j1QtN4OVRMexAHoGE+bqdza7lIjS9rc3w==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Idu8P47vYzhGnq6vXTrdeKsCGt5o0L7IlgLSRHuPIVA=;
 b=Aqu8Z+dwFflt7O+dUr5U0r2j1hH+OxDyYouNz+wsLTGlr+T8PiuQC0C4dE16LyyP/eyERSIZaHkQ7qxTMxMWrrqM/DC6j0DNyEL63ETqr+GJNKvnkhdyUkHRC8QyYCINFEIx5q0S0NVTVcRjbxs+7EiFnbcZQlsLL6uPCs49i26CmB4eCs3Vs3RhH5e5isL/jhJWmkC6ZTde5n5giDSz2xIPn9/QI0HFXTZDGOzJUeiRJOmo94F/i5fSdan/GayeKcR8inLKdEVRb2kiXDD4hf6ltoSkPcGfnf6XT42/BLiFjFvhsqn2sbc6AbLjqKPav7eqdYqAudVQSpc36xRgpg==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Idu8P47vYzhGnq6vXTrdeKsCGt5o0L7IlgLSRHuPIVA=;
 b=kwtGflkd2Ibs88aWy5Skwe2qfMBzdsKmqcMQ9WOr+LAw6cPgSILL7IO3LruzPFMPEugOWLm1qq1SoYcPXrsSf3+DY/nyJlci/+RD1WbTJpBidbCjtb7dNExtj+6XIm3xa8OWIVYdFjTCtOcgfuyrTI8S+OCFnpDnMOvwFmEyid7CfmVBii0Uf5KNu21z2epLh2/yqWms6uUXLMc1+7vQKJm2AAVLc3wTIVcAhY9a9DKe34DnmXj+Qr8oq8jUhOncmfpA444zxelp5xLfcoBUbNcbCAts53JqLj7nuh0KXZo7iUrZB1pFwPd3JseydBWElaowZmKmAYMigY8Y9Q2c7A==
Received: from BYAPR05MB4023.namprd05.prod.outlook.com (2603:10b6:a02:87::30)
 by BY3PR05MB8115.namprd05.prod.outlook.com (2603:10b6:a03:36e::11)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4628.10; Thu, 14 Oct
 2021 19:24:22 +0000
Received: from BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154]) by BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154%6]) with mapi id 15.20.4608.013; Thu, 14 Oct 2021
 19:24:22 +0000
From: Morgan.J.Smith@HIDDEN
To: 51212 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: pipewire-0.3: Update to 0.3.38.
Date: Thu, 14 Oct 2021 15:23:40 -0400
Message-ID: <BYAPR05MB4023A6DC2CDDDB31768E34CAC5B89@HIDDEN>
X-Mailer: git-send-email 2.33.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [XGA2peZ0Zd9uRbhMZQ0PHUAqf53bqHHm]
X-ClientProxiedBy: YQBPR01CA0060.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:c01:2::32) To BYAPR05MB4023.namprd05.prod.outlook.com
 (2603:10b6:a02:87::30)
X-Microsoft-Original-Message-ID: <20211014192339.16324-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from localhost.localdomain (170.52.80.188) by
 YQBPR01CA0060.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01:2::32) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4608.15 via Frontend Transport; Thu, 14 Oct 2021 19:24:22 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: ae0c71c4-809f-435e-6c2c-08d98f483a2d
X-MS-Exchange-SLBlob-MailProps: 0RSV28T7LqRDgOlmJHD4Nlpl1HTUj1nDfS98vaiNPD8L6NENIY09dXK2JTcJMvN6gvNCMaq7ZFVpWv4XaDPuPvU1z1qq5gxXYyw7fvhRSdQM9lShysRPSP5p/6cDCl5wYBw33wXhtSi2yeEnh/Albwq0OEb/SBlQ8sZAvzEyY3Ln6OpTyS9Qr9rPv4SjQpEiowkJm7xwyzKL4t13SSZ9jQ2+psbGEz3D3WX7FWOvA+zEAVc1STt0zjc0XvdIZ1PsIfxhFLyjsHESIYbn0d032G4u9SCaOIhdZLpWOLjiaI9uD6R5xSs/to6M5Y6WcoUWS+c9AKiB43YFpu52ooAoxoFLbqtFg73i6dVgNBeJhGKRQWlEKw8moXFuTzaBiBFGV3dUuCWjQYCmvrbrkAgdFtg+AipTYc4lfD2JfPxWnENjsExJesUPLu9FuDhId/W+OjPELmB7I9Ix7ZWW3nULEAd6cpE8v27VTptmF/GO2Gu/jLBH5Tr7EZKrIEtVwwbN9x3LMl7t01BVNUPLQsIH1WBbUQGjl31kolBZfoablyocal8QaGmoXDAmCDX9Wg7BK+K3490nQg/HLPCTjbO3BhU3M7oycUfqWtW8f3iDlCiTTIuFMWitedyDrl3tjg10JWNyFKzUAIGDwKsqYrygZkHNBwkeyQkgqjl17U0GDDxVjvu/vxGpOWSw5tk6jmMk
X-MS-TrafficTypeDiagnostic: BY3PR05MB8115:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Yf3Vjci2nNBhmgU94HrN56uHBW3k14XY15jifyVo+N964NzdRvcW5tu+lUStfg4sRcleMOQCckqh1li3uKrV3MpPZCKIGnztQIVmk3t88JqbmQObgXMFujpHiYHi6ca60ZaqltIGAK+NlPMXcYmRoKJ7X6u93q1Spy57foAImFQYySCSqq/+F3vuZgsby9tazJ1N/EvigdXaga6rdu0+K4wb/4rdY27/ilNU6KJfgq1pMLpw8IC90wZw2BQIj4IK1yxL4Ea9PXLwJjunRhe4nI3pJcLfuNwgDlbsHghkHdkRPVrtlNt3Ogeaz96gMR+lsNNblRP+6qM0sdpD4cMPYbZ32snCgy62ov2fpHLnZqXnyttL7WVGK015jH+xhhKBCzclJS0WXs8iAsk79kgZxdeN6jZdOr0pbgQ6Bbp3dwVvDIhekGIp0cz8p8rBO597261nsDDMOe9gh+HM7m1iyHio4HeOR3G70aEun7Kn4M4nRecJTjWZBfE2DhCHvjvMb8iDIDwNhH3nYe6lvhoe+gT0JRdHRal22gu3HVjgVpQ=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: uSYEnTq/a5uVuL/7kPZhwnlsk5Zi2WkVzgK9+aVsXKJGxLt9yZPIqFB+Qcfkqe4AL7fNO+n9XA5bO8cA+w7bxPbOmsOwlJcxlP3bctojmsbh4gplnvq4YQpspPrX5ebEE9fj/5FKTB8Z34OLgVFCYw==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: ae0c71c4-809f-435e-6c2c-08d98f483a2d
X-MS-Exchange-CrossTenant-AuthSource: BYAPR05MB4023.namprd05.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 14 Oct 2021 19:24:22.8407 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY3PR05MB8115
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 51212
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* gnu/packages/linux.scm (pipewire-0.3): Update to 0.3.38.
[phases] Don't delete shrink-runpath.
[native-inputs] Add pkg-config and python-docutils to enable documentation generation.
---

Little mistake sorry!

 gnu/packages/linux.scm | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 0088dbad4a..dcc919dc8a 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -80,6 +80,7 @@ (define-module (gnu packages linux)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
+  #:use-module (gnu packages build-tools)
   #:use-module (gnu packages calendar)
   #:use-module (gnu packages check)
   #:use-module (gnu packages cpio)
@@ -8046,7 +8047,7 @@ (define-public pipewire-0.3
   (package
     (inherit pipewire)
     (name "pipewire")
-    (version "0.3.29")
+    (version "0.3.38")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -8055,23 +8056,23 @@ (define-public pipewire-0.3
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "16jjxcnahxqfcawz77ywx837ybhwzcivn7hgqb9cmlp1y2syy8gk"))))
+                "15alnzwdgjbjrmphyinwdbaa1bi9cqbk8gkhrb4y6akjqph76hs0"))))
     (arguments
-     '(#:configure-flags
+     `(#:meson ,meson-0.55
+       #:configure-flags
        (list (string-append "-Dudevrulesdir=" (assoc-ref %outputs "out")
                             "/lib/udev/rules.d")
-             "-Dsystemd=disabled")
-       #:phases
-       (modify-phases %standard-phases
-         ;; Skip shrink-runpath, otherwise validate-runpath fails.
-         (delete 'shrink-runpath))))
+             "-Dsystemd=disabled")))
     (inputs
      (append (package-inputs pipewire)
              `(("bluez" ,bluez)
                ("jack" ,jack-2)
                ("pulseaudio" ,pulseaudio)
                ("vulkan-loader" ,vulkan-loader)
-               ("vulkan-headers" ,vulkan-headers))))))
+               ("vulkan-headers" ,vulkan-headers))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("python-docutils" ,python-docutils)))))
 
 (define-public ell
   (package
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#51212; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2021 19:21:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 15:21:05 2021
Received: from localhost ([127.0.0.1]:37139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb6Ho-0001Er-TW
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 15:21:05 -0400
Received: from lists.gnu.org ([209.51.188.17]:37818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Morgan.J.Smith@HIDDEN>) id 1mb6Hl-0001E5-0B
 for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 15:21:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46178)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Morgan.J.Smith@HIDDEN>)
 id 1mb6Hk-0007Kj-CI
 for guix-patches@HIDDEN; Thu, 14 Oct 2021 15:21:00 -0400
Received: from mail-mw2nam12olkn20808.outbound.protection.outlook.com
 ([2a01:111:f400:fe5a::808]:26208
 helo=NAM12-MW2-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <Morgan.J.Smith@HIDDEN>)
 id 1mb6Hi-00052V-1n
 for guix-patches@HIDDEN; Thu, 14 Oct 2021 15:20:59 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=CK9ArUCuyW0hZXlknQAQQ0OP6QpfMtxyObZKe3xVnr0KHdF/f7PIxr5GzJFGKWflXTIpUjzZEufnpz9HsC+taaFeCpG/pfjMgi06Y7XlwNt9VQXJACQtY1nrBTdE2AvM9gCUp31Wf5NW6ICiKc3of6nqmUdaQVCCxTukhe9ote+B4M5mkZOePwCHKcP3P3u/s9/XZM2ij43c7YxJBfzjtm4BAVvMcHP84IuJmyJEA5DzDl+g9IvPlcd75U6QpfkDWf+2FpTk2qrDSeXArOMZIGa11VA+j06jJxm1l178HOehWWQiEd9JOLIZsJdnMVoH0ar+y2Ac7z89ch9m0kXLRA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=EyuHMzsvTxTE7w9xjkyiFSh1sczXz6MdM1u0D2bh6Ek=;
 b=TpkAymf8r5LSa61wWj3FsL9hYvGP/MQXy5VyKC4UtRHIjV1e4b6SjytpGJaPz52lcFOocL9sU9B1EzNOqqi2Ku7BxOFzTTiCwkccXyZM7UNRUooaCHrKzlGkPMbB11UCGl+A12aqN7jSMxhJZF7UWL62jN+V6EvOsSgcFfGXnpaHdcPEF0AsgBP3Oct07nn61gmnZD5QS9nykXN7gb9/xB5Pod/YaL7BAkIcI4b6y+ySPz284j/wXMfz9GsmMBQxlW3vowY8hHLQcElXoAlFIXtNba/VF6vc+ODGWzoXjAgcBCFU+Hjr5VCmWDiPYvKU4qJKLdgZ5qkbO9ySTG7lhA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=EyuHMzsvTxTE7w9xjkyiFSh1sczXz6MdM1u0D2bh6Ek=;
 b=u7lD2KmD1mv0RvPklGaOCqnjqolNSP2i7MpCMu/xplaFGkNRDQcPz848nQkDPuw5PR3cjLciv1R7WzXh1JPypAxIeqnGJ4XadCU1HQq3QOFbLy8Dxps4TI4ExgPIUry4QLWPq9VzjzDd1kaRv/5o/TKORA5O9K82qC2FlSHCF7uT2JSdbZKdfFUUMeKvoGCJzGxVvy/xpubLOb5v/t4efYzdRLzkCKcw5TGRxyMY3+7ILnpbZpKn7rU1U36fGj4MFkmjlUEM6dS9giDAshGgEY74mOWHY0fE3bEC99SfwaV8xye4t6Sv3U0sxNvLc6sRJPlGCtGs+nWdIcOkeqrC2g==
Received: from BYAPR05MB4023.namprd05.prod.outlook.com (2603:10b6:a02:87::30)
 by BY3PR05MB8547.namprd05.prod.outlook.com (2603:10b6:a03:3ce::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4628.8; Thu, 14 Oct
 2021 19:15:53 +0000
Received: from BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154]) by BYAPR05MB4023.namprd05.prod.outlook.com
 ([fe80::745d:ce8d:67ec:5154%6]) with mapi id 15.20.4608.013; Thu, 14 Oct 2021
 19:15:53 +0000
From: Morgan.J.Smith@HIDDEN
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: pipewire-0.3: Update to 0.3.38.
Date: Thu, 14 Oct 2021 15:14:24 -0400
Message-ID: <BYAPR05MB4023B67DB85B0F7C6D079310C5B89@HIDDEN>
X-Mailer: git-send-email 2.33.0
Content-Transfer-Encoding: 8bit
Content-Type: text/plain
X-TMN: [Knpea2yRCQq0ZgTrofvQXgHv0yx6WkV2]
X-ClientProxiedBy: YQBPR0101CA0001.CANPRD01.PROD.OUTLOOK.COM
 (2603:10b6:c00::14) To BYAPR05MB4023.namprd05.prod.outlook.com
 (2603:10b6:a02:87::30)
X-Microsoft-Original-Message-ID: <20211014191423.10320-1-Morgan.J.Smith@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
Received: from workpad.hitronhub.home (170.52.80.188) by
 YQBPR0101CA0001.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c00::14) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4608.15 via Frontend Transport; Thu, 14 Oct 2021 19:15:52 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 2f3f71ac-740d-426f-ec90-08d98f470a4c
X-MS-Exchange-SLBlob-MailProps: dEG5jEBie8lCT1A9TJWcZOomzrWWOzC43FIfAZbvrStKjpFVdtA7HaTTD11UIHiV1FCNo8oHoCFvLdjtbzZNP0CxoMCINje5HtX4CBsvAhWHEZBhOWgnaAO4CBE3BOEBOjtxJzabNF/OfR/ALxnBT3bQklmkoSJHqM2qAMnRm7xHZbrS+2m9rD+lXqVWYze5CoZNIfy2oV91rO/zWzvoFvtxaWBVzMA9jLxEjH6cqtJpf7TJRY4kc1ezd+onyNc4tCw4gwtEJu9ypBmL2pPeV+O98fSDDKI3NiBQWzXN3sQMg5BIACkFaIxjc+qppWEYa1cBEcSaW+2+KwyTk/UuYi0Xf8w6ZcQWXtUhuuCXFU0i01TphX0t9QD9EoZm/lbzpmt1D15M3duEBDWTfmZtAWA21vxamgpq06OG72lA6unJEzdqbnHPaUiG6elgpefSYhimQcgOrezAmnIOCopcwPoXn0bkdKFf/sxTIfhCZoRsDFl8H9BFvFaawvXBhmQDSmO5O1jDCBLtYX7zCbwzL8G70VIpLmIicUucEFYwTuJoTjAeykaVNsRov5NZOEzUJuU8q+JjzjKLqerWO2McjZhc0VpPd25/1sAeuFnx2+vH2iO4Lq/m1f6jGF3s5gOHWaw4eXE46csqQextN6tvZZO6sWFVHVtCfsGWp5xu7Ab0S3UNAjvUeA==
X-MS-TrafficTypeDiagnostic: BY3PR05MB8547:
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 9vNWOG/io3IhQQBSUPe7ue9dyoxXElxPzxFE/EAOAqF+dWG/eqZtmc+AVHv/kVwG/znVjYzVlodLSfPwtP1vMfo1Lx3x2B/mzGXJeUQBhI0Zdyj1lmIkanTCyZSceFkVNXtwwcCB5cjCBOgUTjWw/GEtz7DJX/zs9bMZxGnGq9H3HSZptJyasye0quImvKtU0qXQiFZj4rQBoBku1PQDoOim84b+Dqx9VzXiy7zBLvSonQl8WJ4ZbE2T0F3cnmPyRduULyMDk+bsCarUDLPPJqH5Xpefa1LDyfluFv/zjuYC1Ikqzt7EI104k7ZrY9p0q6coUsgC0tHZFw2N2ZLPiBJfzQcLYHOfHsBTTcbGJa7lbDB6Zy/XiAv9bMTRI/4QE/q9axh8CuM9/zwKV+P+BPj5fyaV6IRIhOXxU03js/0uYQ/2phiADzCLs5RE2eLJOGcMgtofptyOQKxDbuJW+VnulNFKbn8sOHdRBBeXeD0PZiqTWkp9YROMVokGC+u2G3sQNdocDzjvHzvmiYMRYula/GAteZhf9UGUWAW5J/k=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: mKVHr+56moG7HpEyHN+7yn3h7wE/ER4QS748TBuk5tou8Cr/tbPNU1vHpmkdNopmihuhcugphTKEUBseVkUbmSe6DCwcqIJp6+N77K16GGLrDpd691oBNbzGPEWqqzTb/zSGSoWfMM9jxoKwbgTgYw==
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 2f3f71ac-740d-426f-ec90-08d98f470a4c
X-MS-Exchange-CrossTenant-AuthSource: BYAPR05MB4023.namprd05.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 14 Oct 2021 19:15:53.2656 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BY3PR05MB8547
Received-SPF: pass client-ip=2a01:111:f400:fe5a::808;
 envelope-from=Morgan.J.Smith@HIDDEN;
 helo=NAM12-MW2-obe.outbound.protection.outlook.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 MSGID_FROM_MTA_HEADER=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
Cc: Morgan Smith <Morgan.J.Smith@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From: Morgan Smith <Morgan.J.Smith@HIDDEN>

* gnu/packages/linux.scm (pipewire-0.3): Update to 0.3.38.
[meson] Use meson-0.55.
[phases] Don't delete shrink-runpath.
[native-inputs] Add pipewire native-inputs to enable documentation generation.
---

I installed this on my system and it works great. I also read the release notes
but none of them mention to newer meson dependency so maybe that's not a good
metric to determine if any more changes are needed :P.


 gnu/packages/linux.scm | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 0088dbad4a..ee5c78c0e1 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -80,6 +80,7 @@ (define-module (gnu packages linux)
   #:use-module (gnu packages bash)
   #:use-module (gnu packages bison)
   #:use-module (gnu packages boost)
+  #:use-module (gnu packages build-tools)
   #:use-module (gnu packages calendar)
   #:use-module (gnu packages check)
   #:use-module (gnu packages cpio)
@@ -8046,7 +8047,7 @@ (define-public pipewire-0.3
   (package
     (inherit pipewire)
     (name "pipewire")
-    (version "0.3.29")
+    (version "0.3.38")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -8055,23 +8056,21 @@ (define-public pipewire-0.3
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "16jjxcnahxqfcawz77ywx837ybhwzcivn7hgqb9cmlp1y2syy8gk"))))
+                "15alnzwdgjbjrmphyinwdbaa1bi9cqbk8gkhrb4y6akjqph76hs0"))))
     (arguments
-     '(#:configure-flags
+     `(#:meson ,meson-0.55
+       #:configure-flags
        (list (string-append "-Dudevrulesdir=" (assoc-ref %outputs "out")
                             "/lib/udev/rules.d")
-             "-Dsystemd=disabled")
-       #:phases
-       (modify-phases %standard-phases
-         ;; Skip shrink-runpath, otherwise validate-runpath fails.
-         (delete 'shrink-runpath))))
+             "-Dsystemd=disabled")))
     (inputs
      (append (package-inputs pipewire)
              `(("bluez" ,bluez)
                ("jack" ,jack-2)
                ("pulseaudio" ,pulseaudio)
                ("vulkan-loader" ,vulkan-loader)
-               ("vulkan-headers" ,vulkan-headers))))))
+               ("vulkan-headers" ,vulkan-headers))))
+    (native-inputs (package-native-inputs pipewire))))
 
 (define-public ell
   (package
-- 
2.33.0





Acknowledgement sent to Morgan.J.Smith@HIDDEN:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#51212; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 3 Nov 2021 04:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.